package cz.senslog.connector.push.telemetry;

import cz.senslog.connector.model.config.DefaultConfig;

public class TelemetryConfig {

    private final String infoUrl;
    private final String stopDeliveryUrl;
    private final String updateLocationsUrl;

    TelemetryConfig(DefaultConfig defaultConfig) {
        this.infoUrl = defaultConfig.getStringProperty("infoUrl");
        this.stopDeliveryUrl = defaultConfig.getStringProperty("stopDeliveryUrl");
        this.updateLocationsUrl = defaultConfig.getStringProperty("updateLocationsUrl");
    }

    public String getInfoUrl() {
        return infoUrl;
    }

    public String getStopDeliveryUrl() {
        return stopDeliveryUrl;
    }

    public String getUpdateLocationsUrl() {
        return updateLocationsUrl;
    }
}
